#ifndef __DUMMY_PIN_HPP__
#define __DUMMY_PIN_HPP__

#include "./../../interfaces/pin.hpp"

#include <iostream>


struct Dummy_Pin : Pin<Dummy_Pin>
{
    Dummy_Pin()
    {
        std::cout << "created Dummy_Pin" << std::endl;
    }

    void setImp(bool logic)
    {
        std::cout << "Dummy pin set to " << logic << std::endl;
    }

    void toggleImp()
    {
        std::cout << "toggled Dummy pin" << std::endl;
    }

    bool getImp()
    {
        return true;
    }

    void dummy_stuff()
    {
        std::cout << "dummy specific stuff" << std::endl;
    }
};


#endif // __DUMMY_PIN_HPP__
